umbrello: SelectOperationDialog Class Reference

umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Slots | Public Member Functions | Protected Member Functions | Private Attributes | Static Private Attributes | List of all members
SelectOperationDialog Class Reference

A dialog to select an operation. More...

`#include <selectoperationdialog.h>`

Inheritance diagram for SelectOperationDialog:

## Public Slots
void | slotAutoIncrementChecked (bool state)
void | slotNewOperation ()
void | slotIndexChanged (int index)
void | slotTextChanged (const QString &text)

## Public Member Functions
| SelectOperationDialog (UMLView *parent, UMLClassifier *c, LinkWidget *widget, bool enableAutoIncrement=true)
| ~SelectOperationDialog ()
QString | getOpText ()
bool | isClassOp () const
QString | getSeqNumber ()
bool | autoIncrementSequence ()
void | setAutoIncrementSequence (bool state)
void | setSeqNumber (const QString &num)
void | setCustomOp (const QString &op)
bool | setClassOp (const QString &op)
bool | apply ()
Public Member Functions inherited from SinglePageDialogBase
| SinglePageDialogBase (QWidget *parent, bool withApplyButton=false, bool withSearchButton=false)
virtual | ~SinglePageDialogBase ()
virtual bool | apply ()

## Protected Member Functions
void | setupDialog ()
void | setupOperationsList ()
Protected Member Functions inherited from SinglePageDialogBase
virtual bool | validate ()

## Private Attributes
QGroupBox * | m_pOpGB
KComboBox * | m_pOpCB
QLabel * | m_pSeqL
KLineEdit * | m_pOpLE
KLineEdit * | m_pSeqLE
QLabel * | m_pCustomRB
QLabel * | m_pOpRB
QPushButton * | m_newOperationButton
QCheckBox * | m_pOpAS
QString | m_Text
int | m_nOpCount
int | m_id
| takes on the value OP or CUSTOM according to what the user selected More...
UMLView * | m_pView
UMLClassifier * | m_classifier
LinkWidget * | m_widget
bool | m_enableAutoIncrement

## Static Private Attributes
static const int | OP = 0
static const int | CUSTOM = 1

## Additional Inherited Members
Protected Slots inherited from SinglePageDialogBase
void | slotApply ()
void | slotOk ()

## Detailed Description

A dialog to select an operation.

A dialog used to select an operation.

Author
  Paul Hensgen phens.nosp@m.gen@.nosp@m.techi.nosp@m.e.co.nosp@m.m Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ SelectOperationDialog()

SelectOperationDialog::SelectOperationDialog | ( | UMLView * | parent,
|  | UMLClassifier * | c,
|  | LinkWidget * | widget,
|  | bool | enableAutoIncrement = `true`
| ) |  |

Constructs a SelectOperationDialog instance.

Parameters

  parent | The parent to this instance.
  c | The concept to get the operations from.
  enableAutoIncrement | Flag to enable auto increment checkbox

## ◆ ~SelectOperationDialog()

SelectOperationDialog::~SelectOperationDialog | ( |  | ) |

Standard destructor.

## Member Function Documentation

## ◆ apply()

bool SelectOperationDialog::apply | ( |  | ) |
| virtual

apply changes to the related instamces

Returns
  true - success
  false - failure

Reimplemented from SinglePageDialogBase.

## ◆ autoIncrementSequence()

bool SelectOperationDialog::autoIncrementSequence | ( |  | ) |

Return the flag for auto increment sequence numbering.

## ◆ getOpText()

QString SelectOperationDialog::getOpText | ( |  | ) |

Returns the operation to display.

Returns
  The operation to display.

## ◆ getSeqNumber()

QString SelectOperationDialog::getSeqNumber | ( |  | ) |

Returns the sequence number for the operation.

Returns
  Returns the sequence number for the operation.

## ◆ isClassOp()

bool SelectOperationDialog::isClassOp | ( |  | ) | const

Return whether the user selected a class operation or a custom operation.

Returns
  True if user selected a class operation, false if user selected a custom operation

## ◆ setAutoIncrementSequence()

void SelectOperationDialog::setAutoIncrementSequence | ( | bool | state | ) |

Set the flag for auto increment sequence numbering.

Parameters

  state | the state of the flag

## ◆ setClassOp()

bool SelectOperationDialog::setClassOp | ( | const QString & | op | ) |

Set the class operation text.

Parameters

  op | The operation to set as the class operation.

Returns
  false if no such operation exists.

## ◆ setCustomOp()

void SelectOperationDialog::setCustomOp | ( | const QString & | op | ) |

Set the custom operation text.

Parameters

  op | The operation to set as the custom operation.

## ◆ setSeqNumber()

void SelectOperationDialog::setSeqNumber | ( | const QString & | num | ) |

Set the sequence number text.

Parameters

  num | The number to set the sequence to.

## ◆ setupDialog()

void SelectOperationDialog::setupDialog | ( |  | ) |
| protected

internal setup function

## ◆ setupOperationsList()

void SelectOperationDialog::setupOperationsList | ( |  | ) |
| protected

Setup dialog operations list.

## ◆ slotAutoIncrementChecked

void SelectOperationDialog::slotAutoIncrementChecked | ( | bool | state | ) |
| slot

Handle auto increment checkbox click.

## ◆ slotIndexChanged

void SelectOperationDialog::slotIndexChanged | ( | int | index | ) |
| slot

Handle combox box changes.

## ◆ slotNewOperation

void SelectOperationDialog::slotNewOperation | ( |  | ) |
| slot

Handle new operation button click.

## ◆ slotTextChanged

void SelectOperationDialog::slotTextChanged | ( | const QString & | text | ) |
| slot

Handle custom line edit changes.

## Member Data Documentation

## ◆ CUSTOM

const int SelectOperationDialog::CUSTOM = 1
| staticprivate

## ◆ m_classifier

UMLClassifier* SelectOperationDialog::m_classifier
| private

## ◆ m_enableAutoIncrement

bool SelectOperationDialog::m_enableAutoIncrement
| private

## ◆ m_id

int SelectOperationDialog::m_id
| private

takes on the value OP or CUSTOM according to what the user selected

## ◆ m_newOperationButton

QPushButton* SelectOperationDialog::m_newOperationButton
| private

## ◆ m_nOpCount

int SelectOperationDialog::m_nOpCount
| private

## ◆ m_pCustomRB

QLabel* SelectOperationDialog::m_pCustomRB
| private

## ◆ m_pOpAS

QCheckBox* SelectOperationDialog::m_pOpAS
| private

## ◆ m_pOpCB

KComboBox* SelectOperationDialog::m_pOpCB
| private

## ◆ m_pOpGB

QGroupBox* SelectOperationDialog::m_pOpGB
| private

## ◆ m_pOpLE

KLineEdit* SelectOperationDialog::m_pOpLE
| private

## ◆ m_pOpRB

QLabel * SelectOperationDialog::m_pOpRB
| private

## ◆ m_pSeqL

QLabel* SelectOperationDialog::m_pSeqL
| private

## ◆ m_pSeqLE

KLineEdit * SelectOperationDialog::m_pSeqLE
| private

## ◆ m_pView

UMLView* SelectOperationDialog::m_pView
| private

## ◆ m_Text

QString SelectOperationDialog::m_Text
| private

## ◆ m_widget

LinkWidget* SelectOperationDialog::m_widget
| private

## ◆ OP

const int SelectOperationDialog::OP = 0
| staticprivate

The documentation for this class was generated from the following files:

- umbrello/dialogs/selectoperationdialog.h
- umbrello/dialogs/selectoperationdialog.cpp